Bug 274845 - Implement some form of timeout when downloading commics
Summary: Implement some form of timeout when downloading commics
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-comic (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matthias Fuchs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-03 15:10 UTC by karaluh
Modified: 2011-06-09 15:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2011-06-03 15:10:06 UTC
Version:           unspecified
OS:                Linux

From time to time some comic sources have availability issues. When such issue occurs and you try to read affected comic, the widget becomes unresponsive until kde restart.

Reproducible: Always
Comment 1 Matthias Fuchs 2011-06-06 20:48:51 UTC
Do you mean that then you can not even access the context menu?
Comment 2 karaluh 2011-06-07 08:24:05 UTC
(In reply to comment #1)
> Do you mean that then you can not even access the context menu?

Ok, context menu works, didn't occur to me to try it.
Comment 3 Matthias Fuchs 2011-06-09 13:51:19 UTC
Git commit 89811dc7f460438f95e92ae3bd181ea81e4aca4e by Matthias Fuchs.
Committed on 09/06/2011 at 13:50.
Pushed by mfuchs into branch 'master'.

Implements a timeout. If a comic plugin did not provide the image after 15 seconds automatically report an error.
CCBUG:274845

M  +27   -1    dataengines/comic/comicprovider.cpp     
M  +2    -0    dataengines/comic/comicprovider.h     

http://commits.kde.org/kdeplasma-addons/89811dc7f460438f95e92ae3bd181ea81e4aca4e
Comment 4 Matthias Fuchs 2011-06-09 13:54:19 UTC
Ok, as you can see I added a very long timeout of 15 seconds. That way the 
timeout should not be triggered on very slow connectsions and as this could 
have side effects (very, very, very slow connections) this patch will be only 
in 4.7.

Though I also plan to always display the tabs, even if loading a comic strip is 
not finished yet, as the applet could easily appear unresponsive otherwise as 
you noted.
Comment 5 karaluh 2011-06-09 14:01:50 UTC
(In reply to comment #4)
> Ok, as you can see I added a very long timeout of 15 seconds. That way the 
> timeout should not be triggered on very slow connectsions and as this could 
> have side effects (very, very, very slow connections) this patch will be only 
> in 4.7.
> 
> Though I also plan to always display the tabs, even if loading a comic strip is 
> not finished yet, as the applet could easily appear unresponsive otherwise as 
> you noted.

Good job, thank you very much.
Comment 6 Matthias Fuchs 2011-06-09 15:00:51 UTC
Git commit 47cb0dec8c7bdd2d3d22ee2794e0dee4914d3d73 by Matthias Fuchs.
Committed on 09/06/2011 at 15:00.
Pushed by mfuchs into branch 'master'.

Display tabs on startup even if the first tab was not loaded yet.
BUG:274845

M  +23   -12   applets/comic/comic.cpp     
M  +1    -0    applets/comic/comic.h     

http://commits.kde.org/kdeplasma-addons/47cb0dec8c7bdd2d3d22ee2794e0dee4914d3d73